Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileInputSource Class Reference
[IO core interfaces]

Inheritance diagram for FileInputSource:

## Detailed Description

Reads data from file with OS services.

## Public Member Functions
| FileInputSource (const String *basePath, FileInputSource *base)
const String * | getLocation () const
const byte * | openStream ()
void | closeStream ()
int | length () const
## Protected Member Functions
InputSource * | createRelative (const String *relPath)
## Protected Attributes
String * | baseLocation
byte * | stream
int | len

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.